## kodi-peripheral-joystick-dmo 21.1.23

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(peripheral.joystick)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(CheckIncludeFiles)

find_package(PkgConfig)

# --- Add-on Dependencies ------------------------------------------------------

find_package(Kodi REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${INCLUDES}
                    ${PROJECT_SOURCE_DIR}/src
                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                    ${TINYXML_INCLUDE_DIRS})

set(JOYSTICK_SOURCES src/addon.cpp
                     src/api/IJoystickInterface.cpp
                     src/api/Joystick.cpp
                     src/api/JoystickInterfaceCallback.cpp
                     src/api/JoystickManager.cpp
                     src/api/JoystickTranslator.cpp
                     src/api/JoystickUtils.cpp
                     src/api/PeripheralScanner.cpp
                     src/buttonmapper/ButtonMapper.cpp
                     src/buttonmapper/ButtonMapTranslator.cpp
                     src/buttonmapper/ButtonMapUtils.cpp
                     src/buttonmapper/ControllerTransformer.cpp
                     src/buttonmapper/DriverGeometry.cpp
                     src/buttonmapper/JoystickFamily.cpp
                     src/buttonmapper/StringRegistry.cpp
                     src/filesystem/DirectoryCache.cpp
                     src/filesystem/DirectoryUtils.cpp
                     src/filesystem/Filesystem.cpp
                     src/filesystem/FileUtils.cpp
                     src/filesystem/generic/ReadableFile.cpp
                     src/filesystem/generic/SeekableFile.cpp
                     src/filesystem/vfs/VFSDirectoryUtils.cpp
                     src/filesystem/vfs/VFSFileUtils.cpp
                     src/log/Log.cpp
                     src/log/LogAddon.cpp
                     src/log/LogConsole.cpp
                     src/settings/Settings.cpp
                     src/storage/ButtonMap.cpp
                     src/storage/Device.cpp
                     src/storage/DeviceConfiguration.cpp
                     src/storage/JustABunchOfFiles.cpp
                     src/storage/MouseTranslator.cpp
                     src/storage/StorageManager.cpp
                     src/storage/StorageUtils.cpp
                     src/storage/api/DatabaseJoystickAPI.cpp
                     src/storage/xml/ButtonMapXml.cpp
                     src/storage/xml/DatabaseXml.cpp
                     src/storage/xml/DeviceXml.cpp
                     src/storage/xml/JoystickFamiliesXml.cpp)

set(JOYSTICK_HEADERS src/addon.h
                     src/api/IJoystickInterface.h
                     src/api/Joystick.h
                     src/api/JoystickInterfaceCallback.h
                     src/api/JoystickManager.h
                     src/api/JoystickTranslator.h
                     src/api/JoystickTypes.h
                     src/api/PeripheralScanner.h
                     src/buttonmapper/ButtonMapper.h
                     src/buttonmapper/ButtonMapTranslator.h
                     src/buttonmapper/ButtonMapTypes.h
                     src/buttonmapper/ButtonMapUtils.h
                     src/buttonmapper/ControllerTransformer.h
                     src/buttonmapper/DriverGeometry.h
                     src/buttonmapper/JoystickFamily.h
                     src/buttonmapper/StringRegistry.h
                     src/filesystem/DirectoryCache.h
                     src/filesystem/DirectoryUtils.h
                     src/filesystem/Filesystem.h
                     src/filesystem/FilesystemTypes.h
                     src/filesystem/FileUtils.h
                     src/filesystem/IDirectoryUtils.h
                     src/filesystem/IFile.h
                     src/filesystem/IFileUtils.h
                     src/filesystem/generic/ReadableFile.h
                     src/filesystem/generic/SeekableFile.h
                     src/filesystem/vfs/VFSDirectoryUtils.h
                     src/filesystem/vfs/VFSFileUtils.h
                     src/log/ILog.h
                     src/log/LogAddon.h
                     src/log/LogConsole.h
                     src/log/Log.h
                     src/settings/Settings.h
                     src/storage/ButtonMap.h
                     src/storage/DeviceConfiguration.h
                     src/storage/Device.h
                     src/storage/IDatabase.h
                     src/storage/JustABunchOfFiles.h
                     src/storage/MouseTranslator.h
                     src/storage/PrimitiveConfiguration.h
                     src/storage/StorageDefinitions.h
                     src/storage/StorageManager.h
                     src/storage/StorageTypes.h
                     src/storage/StorageUtils.h
                     src/storage/api/DatabaseJoystickAPI.h
                     src/storage/xml/ButtonMapDefinitions.h
                     src/storage/xml/ButtonMapXml.h
                     src/storage/xml/DatabaseXml.h
                     src/storage/xml/DeviceXml.h
                     src/storage/xml/JoystickFamiliesXml.h
                     src/storage/xml/JoystickFamilyDefinitions.h
                     src/utils/CommonMacros.h)

if(CORE_SYSTEM_NAME MATCHES windows)
  list(APPEND JOYSTICK_SOURCES src/utils/windows/CharsetConverter.cpp)
  list(APPEND JOYSTICK_HEADERS src/utils/windows/CharsetConverter.h)
endif()

check_include_files("syslog.h" HAVE_SYSLOG)

if(HAVE_SYSLOG)
  list(APPEND JOYSTICK_SOURCES src/log/LogSyslog.cpp)
  list(APPEND JOYSTICK_HEADERS src/log/LogSyslog.h)
endif()

list(APPEND DEPLIBS ${TINYXML_LIBRARIES})

# --- SDL2 ---------------------------------------------------------------------

# SDL game controller support only used by Steam Link
if(CORE_PLATFORM_NAME STREQUAL steamlink)
  find_package(Sdl2)

  if(SDL2_FOUND)
    include_directories(${SDL2_INCLUDE_DIRS})

    add_definitions(-DHAVE_SDL_GAMEPAD)

    list(APPEND JOYSTICK_SOURCES src/api/sdl/JoystickInterfaceSDL.cpp
                                 src/api/sdl/JoystickSDL.cpp)
    list(APPEND JOYSTICK_HEADERS src/api/sdl/JoystickInterfaceSDL.h
                                 src/api/sdl/JoystickSDL.h)

    list(APPEND DEPLIBS ${SDL2_LIBRARIES})
  endif()
endif()

# --- Cocoa --------------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" STREQUAL "darwin" OR "${CORE_SYSTEM_NAME}" STREQUAL "osx")
  find_library(COCOA_LIBRARY Cocoa)

  add_definitions(-DHAVE_COCOA)

  list(APPEND JOYSTICK_SOURCES src/api/cocoa/JoystickCocoa.cpp
                               src/api/cocoa/JoystickInterfaceCocoa.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/cocoa/JoystickCocoa.h
                               src/api/cocoa/JoystickInterfaceCocoa.h)

  list(APPEND DEPLIBS ${COCOA_LIBRARY})
  list(APPEND DEPLIBS "-framework IOKit")
endif()

# --- Linux Joystick API -------------------------------------------------------

if(CORE_SYSTEM_NAME STREQUAL linux)
  check_include_files(linux/joystick.h HAVE_LINUX_JOYSTICK_H)
endif()

if(HAVE_LINUX_JOYSTICK_H)
  add_definitions(-DHAVE_LINUX_JOYSTICK)

  list(APPEND JOYSTICK_SOURCES src/api/linux/JoystickInterfaceLinux.cpp
                               src/api/linux/JoystickLinux.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/linux/JoystickInterfaceLinux.h
                               src/api/linux/JoystickLinux.h)
endif()

# --- DirectInput --------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" STREQUAL "windows")
  add_definitions(-DHAVE_DIRECT_INPUT)

  list(APPEND JOYSTICK_SOURCES src/api/directinput/JoystickDirectInput.cpp
                               src/api/directinput/JoystickInterfaceDirectInput.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/directinput/JoystickDirectInput.h
                               src/api/directinput/JoystickInterfaceDirectInput.h)
endif()

# --- XInput -------------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" MATCHES "windows")
  add_definitions(-DHAVE_XINPUT)

  list(APPEND JOYSTICK_SOURCES src/api/xinput/JoystickInterfaceXInput.cpp
                               src/api/xinput/JoystickXInput.cpp
                               src/api/xinput/XInputDLL.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/xinput/JoystickInterfaceXInput.h
                               src/api/xinput/JoystickXInput.h
                               src/api/xinput/XInputDLL.h)
endif()

# --- udev ---------------------------------------------------------------------

if(CORE_SYSTEM_NAME STREQUAL linux)
  find_package(UDEV REQUIRED)
endif()

if(UDEV_FOUND)
  include_directories(${UDEV_INCLUDE_DIRS})

  add_definitions(${UDEV_DEFINITIONS})

  list(APPEND JOYSTICK_SOURCES src/api/udev/JoystickInterfaceUdev.cpp
                               src/api/udev/JoystickUdev.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/udev/JoystickInterfaceUdev.h
                               src/api/udev/JoystickUdev.h)

  list(APPEND DEPLIBS ${UDEV_LIBRARIES})
endif()

# ------------------------------------------------------------------------------

set(LINUX_SELECT_LINE "\
        <setting id=\"driver_linux\" type=\"integer\" label=\"30001\">
          <default>0</default>
          <constraints>
            <options>
              <option label=\"30005\">0</option>
              <option label=\"30007\">1</option>
              <option label=\"30002\">2</option>
            </options>
          </constraints>
          <control type=\"list\" format=\"string\"/>
        </setting>")

set(SDL_SELECT_LINE "\
        <setting id=\"driver_sdl\" type=\"integer\" label=\"30001\">
          <default>0</default>
          <constraints>
            <options>
              <option label=\"30008\">0</option>
              <option label=\"30005\">1</option>
              <option label=\"30007\">2</option>
              <option label=\"30002\">3</option>
            </options>
          </constraints>
          <control type=\"list\" format=\"string\"/>
        </setting>")

set(OSX_SELECT_LINE  "\
        <setting id=\"driver_osx\" type=\"integer\" label=\"30001\">
          <default>0</default>
          <constraints>
            <options>
              <option label=\"30006\">0</option>
              <option label=\"30002\">1</option>
            </options>
          </constraints>
          <control type=\"list\" format=\"string\"/>
        </setting>")

set(XINPUT_CHECK_LINE "\
        <setting id=\"driver_xinput\" type=\"boolean\" label=\"30003\">
          <default>true</default>
          <control type=\"toggle\"/>
        </setting>")

set(DIRECTINPUT_CHECK_LINE "\
        <setting id=\"driver_directinput\" type=\"boolean\" label=\"30004\">
          <default>true</default>
          <control type=\"toggle\"/>
        </setting>")

# Write settings.xml.include
if(CORE_SYSTEM_NAME MATCHES windows)
  set(XINPUT_CHECK "${XINPUT_CHECK_LINE}")
  if(CORE_SYSTEM_NAME STREQUAL windows)
    set(DIRECTINPUT_CHECK "${DIRECTINPUT_CHECK_LINE}")
  endif()
elseif(CORE_SYSTEM_NAME STREQUAL osx)
  set(OSX_SELECT "${OSX_SELECT_LINE}")
else()
  if(SDL2_FOUND)
    set(SDL_SELECT "${SDL_SELECT_LINE}")
  else()
    set(LINUX_SELECT "${LINUX_SELECT_LINE}")
  endif()
endif()

# ------------------------------------------------------------------------------

build_addon(peripheral.joystick JOYSTICK DEPLIBS)

include(CPack)

## kodi-peripheral-joystick-dmo 19.0.4

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:19.0.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Jan 2023 11:52:41 +0100

kodi-peripheral-joystick-dmo (1:19.0.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 May 2022 07:55:34 +0200

kodi-peripheral-joystick-dmo (1:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Apr 2022 19:34:49 +0200

kodi-peripheral-joystick-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 18:54:36 +0100

kodi-peripheral-joystick-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Sep 2021 15:35:11 +0200

kodi-peripheral-joystick-dmo (1:1.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 May 2021 07:48:49 +0200

kodi-peripheral-joystick-dmo (1:1.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Jan 2021 09:32:24 +0100

peripheral-joystick-dmo (1.4.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Feb 2020 08:59:17 +0100

peripheral-joystick-dmo (1.4.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Sep 2019 08:20:24 +0200

peripheral-joystick-dmo (1.4.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Feb 2019 13:50:45 +0100

peripheral-joystick-dmo (1.4.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jan 2019 17:09:05 +0100

peripheral-joystick-dmo (1.3.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Nov 2017 09:01:07 +0100

peripheral-joystick-dmo (1.3.2-dmo2) unstable; urgency=medium

  * Don't install addon.xml.in

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 May 2017 10:59:26 +0200

peripheral-joystick-dmo (1.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Mar 2017 08:20:19 +0100

peripheral-joystick-dmo (1.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Mar 2017 07:31:40 +0100

peripheral-joystick-dmo (1.2.1-dmo1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Feb 2017 16:51:29 +0100

=== debian/control ===
Source: kodi-peripheral-joystick-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/xbmc/peripheral.joystick
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libudev-dev, libtinyxml-dev, ninja-build

Package: kodi-peripheral-joystick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PERIPHERALAPI}
Description: Kodi Joystick Library
 This library provides joystick drivers and button maps. Multiple joystick
 APIs are supported, including DirectX, XInput, SDL and the Linux Joystick
 API.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install

	rm -rf debian/kodi-peripheral-joystick/usr/share/kodi/addons/peripheral.joystick/resources/buttonmaps/xml/android
	rm -rf debian/kodi-peripheral-joystick/usr/share/kodi/addons/peripheral.joystick/resources/buttonmaps/xml/cocoa
	rm -rf debian/kodi-peripheral-joystick/usr/share/kodi/addons/peripheral.joystick/resources/buttonmaps/xml/xinput
	rm -rf debian/kodi-peripheral-joystick/usr/share/kodi/addons/peripheral.joystick/resources/buttonmaps/xml/directinput

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/xbmc/peripheral.joystick/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-peripheral-joystick-dmo 20.1.15

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:20.1.15-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2024 15:31:51 +0100

kodi-peripheral-joystick-dmo (1:20.1.14-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jan 2024 08:39:52 +0100

kodi-peripheral-joystick-dmo (1:20.1.13-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Sep 2023 08:43:35 +0200

kodi-peripheral-joystick-dmo (1:20.1.12-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Aug 2023 07:27:23 +0200

kodi-peripheral-joystick-dmo (1:20.1.11-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Aug 2023 07:36:08 +0200

kodi-peripheral-joystick-dmo (1:20.1.10-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jul 2023 08:56:12 +0200

kodi-peripheral-joystick-dmo (1:20.1.9-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jun 2023 07:03:54 +0200

kodi-peripheral-joystick-dmo (1:20.1.8-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Mar 2023 14:56:33 +0100

kodi-peripheral-joystick-dmo (1:20.1.7-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Mar 2023 09:03:41 +0100

kodi-peripheral-joystick-dmo (1:20.1.5-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Feb 2023 09:21:45 +0100

kodi-peripheral-joystick-dmo (1:20.1.3-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Jan 2023 18:03:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/peripheral.joystick
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libudev-dev, libtinyxml-dev, ninja-build
 
 Package: kodi-peripheral-joystick

=== debian/watch ===
version=4

https://github.com/xbmc/peripheral.joystick/releases \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-peripheral-joystick-dmo 20.1.18

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:20.1.18-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 May 2024 07:10:25 +0200

kodi-peripheral-joystick-dmo (1:20.1.15-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2024 15:13:09 +0100

kodi-peripheral-joystick-dmo (1:20.1.14-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jan 2024 08:32:13 +0100

kodi-peripheral-joystick-dmo (1:20.1.13-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Sep 2023 08:40:19 +0200

kodi-peripheral-joystick-dmo (1:20.1.12-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Aug 2023 07:22:33 +0200

kodi-peripheral-joystick-dmo (1:20.1.11-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Aug 2023 07:27:19 +0200

kodi-peripheral-joystick-dmo (1:20.1.10-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jul 2023 08:40:06 +0200

kodi-peripheral-joystick-dmo (1:20.1.9-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jun 2023 06:49:30 +0200

kodi-peripheral-joystick-dmo (1:20.1.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Mar 2023 07:49:43 +0100

kodi-peripheral-joystick-dmo (1:20.1.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Mar 2023 08:45:17 +0100

kodi-peripheral-joystick-dmo (1:20.1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Feb 2023 11:43:16 +0100

kodi-peripheral-joystick-dmo (1:20.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Jan 2023 08:29:58 +0100

kodi-peripheral-joystick-dmo (1:20.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 14:46:43 +0100

kodi-peripheral-joystick-dmo (1:19.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 May 2022 07:08:03 +0200

kodi-peripheral-joystick-dmo (1:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Apr 2022 01:36:41 +0200

kodi-peripheral-joystick-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 14:47:03 +0100

kodi-peripheral-joystick-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Sep 2021 15:16:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/peripheral.joystick
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libudev-dev, libtinyxml-dev, ninja-build

=== debian/watch ===
version=4

https://github.com/xbmc/peripheral.joystick/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-peripheral-joystick-dmo 21.1.22

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:21.1.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jan 2025 15:19:58 +0100

kodi-peripheral-joystick-dmo (1:21.1.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jan 2025 15:54:11 +0100

kodi-peripheral-joystick-dmo (1:21.1.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Jan 2025 00:19:02 +0100

kodi-peripheral-joystick-dmo (1:21.1.18-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 12:07:48 +0100

kodi-peripheral-joystick-dmo (1:21.1.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 May 2024 06:59:40 +0200

kodi-peripheral-joystick-dmo (1:21.1.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 May 2024 01:40:10 +0200

kodi-peripheral-joystick-dmo (1:21.1.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 May 2024 08:26:35 +0200

kodi-peripheral-joystick-dmo (1:21.1.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 May 2024 12:47:18 +0200

kodi-peripheral-joystick-dmo (1:21.1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2024 13:09:38 +0200

kodi-peripheral-joystick-dmo (1:21.1.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 18:41:14 +0200

kodi-peripheral-joystick-dmo (1:20.1.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jan 2024 09:12:59 +0100

kodi-peripheral-joystick-dmo (1:20.1.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jan 2024 08:12:56 +0100

kodi-peripheral-joystick-dmo (1:20.1.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Sep 2023 02:10:13 +0200

kodi-peripheral-joystick-dmo (1:20.1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Aug 2023 01:56:48 +0200

kodi-peripheral-joystick-dmo (1:20.1.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Aug 2023 06:40:56 +0200

kodi-peripheral-joystick-dmo (1:20.1.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jul 2023 07:55:22 +0200

kodi-peripheral-joystick-dmo (1:20.1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jun 2023 00:01:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/peripheral.joystick
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  libudev-dev, libtinyxml-dev, ninja-build
 
 Package: kodi-peripheral-joystick

## kodi-peripheral-joystick-dmo 21.1.23

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:21.1.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Nov 2025 00:43:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/peripheral.joystick
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  libudev-dev, libtinyxml-dev, ninja-build

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/xbmc/peripheral.joystick/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
